OGRE: Ogre::AnyNumeric::numholder< ValueType > Class Template Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::AnyNumeric::numholder< ValueType > Class Template Reference

`#include <OgreAny.h>`

Inheritance diagram for Ogre::AnyNumeric::numholder< ValueType >:

[legend]
List of all members.

## Public Member Functions

| numholder (const ValueType &value)
virtual const std::type_info & | getType () const
virtual placeholder * | clone () const
virtual placeholder * | add (placeholder *rhs)
virtual placeholder * | subtract (placeholder *rhs)
virtual placeholder * | multiply (placeholder *rhs)
virtual placeholder * | multiply (Real factor)
virtual placeholder * | divide (placeholder *rhs)
virtual void | writeToStream (std::ostream &o)

## Public Attributes

ValueType | held

### template<typename ValueType>
class Ogre::AnyNumeric::numholder< ValueType >

## Constructor & Destructor Documentation

template<typename ValueType>
Ogre::AnyNumeric::numholder< ValueType >::numholder | ( | const ValueType & | value | ) |

| Definition at line 255 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held. Referenced by Ogre::AnyNumeric::numholder< ValueType >::add(), Ogre::AnyNumeric::numholder< ValueType >::clone(), Ogre::AnyNumeric::numholder< ValueType >::divide(), Ogre::AnyNumeric::numholder< ValueType >::multiply(), and Ogre::AnyNumeric::numholder< ValueType >::subtract().

## Member Function Documentation

template<typename ValueType>
virtual placeholder* Ogre::AnyNumeric::numholder< ValueType >::add | ( | placeholder * | rhs | ) | `[virtual]`

| Implements Ogre::AnyNumeric::numplaceholder. Definition at line 272 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held, and Ogre::AnyNumeric::numholder< ValueType >::numholder().

template<typename ValueType>
virtual placeholder* Ogre::AnyNumeric::numholder< ValueType >::clone | ( |  | ) | const`[virtual]`

| Implements Ogre::Any::placeholder. Definition at line 267 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held, and Ogre::AnyNumeric::numholder< ValueType >::numholder().

template<typename ValueType>
virtual placeholder* Ogre::AnyNumeric::numholder< ValueType >::divide | ( | placeholder * | rhs | ) | `[virtual]`

| Implements Ogre::AnyNumeric::numplaceholder. Definition at line 288 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held, and Ogre::AnyNumeric::numholder< ValueType >::numholder().

template<typename ValueType>
virtual const std::type_info& Ogre::AnyNumeric::numholder< ValueType >::getType | ( | void |  | ) | const`[virtual]`

| Implements Ogre::Any::placeholder. Definition at line 262 of file OgreAny.h.

template<typename ValueType>
virtual placeholder* Ogre::AnyNumeric::numholder< ValueType >::multiply | ( | Real | factor | ) | `[virtual]`

| Implements Ogre::AnyNumeric::numplaceholder. Definition at line 284 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held, and Ogre::AnyNumeric::numholder< ValueType >::numholder().

template<typename ValueType>
virtual placeholder* Ogre::AnyNumeric::numholder< ValueType >::multiply | ( | placeholder * | rhs | ) | `[virtual]`

| Implements Ogre::AnyNumeric::numplaceholder. Definition at line 280 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held, and Ogre::AnyNumeric::numholder< ValueType >::numholder().

template<typename ValueType>
virtual placeholder* Ogre::AnyNumeric::numholder< ValueType >::subtract | ( | placeholder * | rhs | ) | `[virtual]`

| Implements Ogre::AnyNumeric::numplaceholder. Definition at line 276 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held, and Ogre::AnyNumeric::numholder< ValueType >::numholder().

template<typename ValueType>
virtual void Ogre::AnyNumeric::numholder< ValueType >::writeToStream | ( | std::ostream & | o | ) | `[virtual]`

| Implements Ogre::Any::placeholder. Definition at line 292 of file OgreAny.h. References Ogre::AnyNumeric::numholder< ValueType >::held.

## Member Data Documentation

template<typename ValueType>
ValueType Ogre::AnyNumeric::numholder< ValueType >::held

| Definition at line 299 of file OgreAny.h. Referenced by Ogre::AnyNumeric::numholder< ValueType >::add(), Ogre::AnyNumeric::numholder< ValueType >::clone(), Ogre::AnyNumeric::numholder< ValueType >::divide(), Ogre::AnyNumeric::numholder< ValueType >::multiply(), Ogre::AnyNumeric::numholder< ValueType >::numholder(), Ogre::AnyNumeric::numholder< ValueType >::subtract(), and Ogre::AnyNumeric::numholder< ValueType >::writeToStream().

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:32 2008